net.sf.jasperreports.export

## Class SimpleHtmlExporterOutput

- java.lang.Object
- - net.sf.jasperreports.export.SimpleWriterExporterOutput
  - - net.sf.jasperreports.export.SimpleHtmlExporterOutput

- All Implemented Interfaces:
    ExporterOutput, HtmlExporterOutput, WriterExporterOutput

      public class SimpleHtmlExporterOutput
      extends SimpleWriterExporterOutput
      implements HtmlExporterOutput

  Version:
    $Id: SimpleHtmlExporterOutput.java 6745 2013-11-18 10:38:02Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.export.WriterExporterOutput

      `PROPERTY_CHARACTER_ENCODING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleHtmlExporterOutput(java.io.File file)`
    `SimpleHtmlExporterOutput(java.io.File file, java.lang.String encoding)`
    `SimpleHtmlExporterOutput(java.io.OutputStream outputStream)`
    `SimpleHtmlExporterOutput(java.io.OutputStream outputStream, java.lang.String encoding)`
    `SimpleHtmlExporterOutput(java.lang.String fileName)`
    `SimpleHtmlExporterOutput(java.lang.StringBuffer sbuffer)`
    `SimpleHtmlExporterOutput(java.lang.String fileName, java.lang.String encoding)`
    `SimpleHtmlExporterOutput(java.io.Writer writer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `HtmlResourceHandler` | `getFontHandler()`
    `HtmlResourceHandler` | `getImageHandler()`
    `HtmlResourceHandler` | `getResourceHandler()`
    `void` | `setFontHandler(HtmlResourceHandler fontHandler)`
    `void` | `setImageHandler(HtmlResourceHandler imageHandler)`
    `void` | `setResourceHandler(HtmlResourceHandler resourceHandler)`

    - ### Methods inherited from class net.sf.jasperreports.export.SimpleWriterExporterOutput

      `close, getEncoding, getWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.export.WriterExporterOutput

      `close, getEncoding, getWriter`

- - ### Constructor Detail

    - #### SimpleHtmlExporterOutput

          public SimpleHtmlExporterOutput(java.lang.StringBuffer sbuffer)

    - #### SimpleHtmlExporterOutput

          public SimpleHtmlExporterOutput(java.io.Writer writer)

    - #### SimpleHtmlExporterOutput

          public SimpleHtmlExporterOutput(java.io.OutputStream outputStream)

    - #### SimpleHtmlExporterOutput

          public SimpleHtmlExporterOutput(java.io.OutputStream outputStream,
                                  java.lang.String encoding)

    - #### SimpleHtmlExporterOutput

          public SimpleHtmlExporterOutput(java.io.File file)

    - #### SimpleHtmlExporterOutput

          public SimpleHtmlExporterOutput(java.io.File file,
                                  java.lang.String encoding)

    - #### SimpleHtmlExporterOutput

          public SimpleHtmlExporterOutput(java.lang.String fileName)

    - #### SimpleHtmlExporterOutput

          public SimpleHtmlExporterOutput(java.lang.String fileName,
                                  java.lang.String encoding)

  - ### Method Detail

    - #### getImageHandler

          public HtmlResourceHandler getImageHandler()

      Specified by:
        `getImageHandler` in interface `HtmlExporterOutput`

    - #### setImageHandler

          public void setImageHandler(HtmlResourceHandler imageHandler)

    - #### getFontHandler

          public HtmlResourceHandler getFontHandler()

      Specified by:
        `getFontHandler` in interface `HtmlExporterOutput`

    - #### setFontHandler

          public void setFontHandler(HtmlResourceHandler fontHandler)

    - #### getResourceHandler

          public HtmlResourceHandler getResourceHandler()

      Specified by:
        `getResourceHandler` in interface `HtmlExporterOutput`

    - #### setResourceHandler

          public void setResourceHandler(HtmlResourceHandler resourceHandler)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com